eM Client 7.0 – troubles with translation?

Hello everybody,

If you’re getting the following message when using the translation tool in eM Client, we would please ask you to update to 7.0.30068.0

This version uses a newer translation service which is now under the roof of Microsoft Azure services. The previously used service for translations is unfortunately no longer supported by Microsoft. Please see official Microsoft announcementfor more information.

We apologize for the inconvenience.

UPDATE:
The newer translation service will be available in versions newer than 7.0.30242.0

Please see this thread for more details https://console.getsatisfaction.com/emclient/conversations/em-client-7-0-troubles-with-translation

We apologize again for any inconvenience caused.